<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.taais.biz.mapper.TargetIdentificationSubtaskMapper">

    <select id="getAvailableSubtask" resultType="com.taais.biz.domain.TargetIdentificationSubtask">
        SELECT
            *
        FROM
            target_identification_subtask t
        WHERE
            t.status = '0' and t.task_id = #{taskId}
        ORDER BY
            t.create_time DESC
        LIMIT 1
    </select>
</mapper>
